## ros-kinetic-turtlebot-teleop 2.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(turtlebot_teleop)

## Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS roscpp geometry_msgs joy)

include_directories(${catkin_INCLUDE_DIRS})

catkin_package(
  INCLUDE_DIRS
  CATKIN_DEPENDS roscpp geometry_msgs joy
  DEPENDS
)

###########
## Build ##
###########

add_executable(turtlebot_teleop_joy src/turtlebot_joy.cpp)
target_link_libraries(turtlebot_teleop_joy ${catkin_LIBRARIES})

#############
## Install ##
#############

## Mark executable scripts (Python etc.) for installation
install(PROGRAMS
  scripts/turtlebot_teleop_key
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark executables and/or libraries for installation
install(TARGETS turtlebot_teleop_joy
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark all other useful stuff for installation
install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-turtlebot-teleop (2.4.2-0xenial) xenial; urgency=high

  * Update velocity_smoother.launch.xml to handle namespaces
    Changed topic remapping and nodelet manager to avoid absolute paths. In this way the velocity smoother will work even inside a namespace created with the tag <group ns="">.
  * Contributors: Luca Cristoforetti

 -- Melonee Wise <mwise@willowgarage.com>  Thu, 22 Dec 2016 08:00:00 -0000

ros-kinetic-turtlebot-teleop (2.4.1-0xenial) xenial; urgency=high



 -- Melonee Wise <mwise@willowgarage.com>  Thu, 22 Dec 2016 08:00:00 -0000

ros-kinetic-turtlebot-teleop (2.4.0-0xenial) xenial; urgency=high



 -- Melonee Wise <mwise@willowgarage.com>  Tue, 01 Nov 2016 07:00:00 -0000

ros-kinetic-turtlebot-teleop (2.3.12-0xenial) xenial; urgency=high



 -- Melonee Wise <mwise@willowgarage.com>  Mon, 27 Jun 2016 07:00:00 -0000

ros-kinetic-turtlebot-teleop (2.3.11-0xenial) xenial; urgency=high



 -- Melonee Wise <mwise@willowgarage.com>  Wed, 15 Apr 2015 07:00:00 -0000

ros-kinetic-turtlebot-teleop (2.3.10-0xenial) xenial; urgency=high



 -- Melonee Wise <mwise@willowgarage.com>  Thu, 02 Apr 2015 07:00:00 -0000

ros-kinetic-turtlebot-teleop (2.3.9-0xenial) xenial; urgency=high



 -- Melonee Wise <mwise@willowgarage.com>  Mon, 30 Mar 2015 07:00:00 -0000

ros-kinetic-turtlebot-teleop (2.3.8-0xenial) xenial; urgency=high



 -- Melonee Wise <mwise@willowgarage.com>  Mon, 23 Mar 2015 07:00:00 -0000

ros-kinetic-turtlebot-teleop (2.3.7-0xenial) xenial; urgency=high



 -- Melonee Wise <mwise@willowgarage.com>  Mon, 02 Mar 2015 08:00:00 -0000

ros-kinetic-turtlebot-teleop (2.3.6-0xenial) xenial; urgency=high

  * remove turtlebot_teleop library from catkin_package call closes #192 <https://github.com/turtlebot/turtlebot/issues/192>
  * remove old rosbuild imports no longer necessary
  * Contributors: Jihoon Lee, Tully Foote

 -- Melonee Wise <mwise@willowgarage.com>  Fri, 27 Feb 2015 08:00:00 -0000

ros-kinetic-turtlebot-teleop (2.3.5-0xenial) xenial; urgency=high

  * update turtlebot_teleop url closes #188 <https://github.com/turtlebot/turtlebot/issues/188>
  * Contributors: Jihoon Lee

 -- Melonee Wise <mwise@willowgarage.com>  Mon, 12 Jan 2015 08:00:00 -0000

ros-kinetic-turtlebot-teleop (2.3.4-0xenial) xenial; urgency=high



 -- Melonee Wise <mwise@willowgarage.com>  Wed, 07 Jan 2015 08:00:00 -0000

ros-kinetic-turtlebot-teleop (2.3.3-0xenial) xenial; urgency=high



 -- Melonee Wise <mwise@willowgarage.com>  Mon, 05 Jan 2015 08:00:00 -0000

ros-kinetic-turtlebot-teleop (2.3.2-0xenial) xenial; urgency=high



 -- Melonee Wise <mwise@willowgarage.com>  Tue, 30 Dec 2014 08:00:00 -0000

ros-kinetic-turtlebot-teleop (2.3.1-0xenial) xenial; urgency=high

  * add README on turtlebot_teleop to explain why it is here now fixes #182 <https://github.com/turtlebot/turtlebot/issues/182>
  * sync package version with others packages
  * turtlebot_teleop to be migrated to new base
  * Contributors: Jihoon Lee

 -- Melonee Wise <mwise@willowgarage.com>  Tue, 30 Dec 2014 08:00:00 -0000

ros-kinetic-turtlebot-teleop (2.2.4-0xenial) xenial; urgency=high

  * Remove unnecessary dependency on cmd_vel_mux package.

 -- Melonee Wise <mwise@willowgarage.com>  Mon, 14 Oct 2013 07:00:00 -0000

ros-kinetic-turtlebot-teleop (2.2.3-0xenial) xenial; urgency=high



 -- Melonee Wise <mwise@willowgarage.com>  Fri, 27 Sep 2013 07:00:00 -0000

ros-kinetic-turtlebot-teleop (2.2.2-0xenial) xenial; urgency=high



 -- Melonee Wise <mwise@willowgarage.com>  Thu, 26 Sep 2013 07:00:00 -0000

ros-kinetic-turtlebot-teleop (2.2.1-0xenial) xenial; urgency=high



 -- Melonee Wise <mwise@willowgarage.com>  Mon, 23 Sep 2013 07:00:00 -0000

ros-kinetic-turtlebot-teleop (2.2.0-0xenial) xenial; urgency=high

  * Add bugtracker and repo info URLs.
  * Changelogs at package level.

 -- Melonee Wise <mwise@willowgarage.com>  Fri, 30 Aug 2013 07:00:00 -0000

ros-kinetic-turtlebot-teleop (2.1.1-0xenial) xenial; urgency=high

  * Add missing include_directories to the teleop build.
  * Add absolute namespaces
  * Rename include launcher
  * Rationalize the use of velocity smoother: remap properly robot_cmd_vel, add comments, and avoid meaningless topic names

 -- Melonee Wise <mwise@willowgarage.com>  Fri, 09 Aug 2013 07:00:00 -0000

ros-kinetic-turtlebot-teleop (2.1.0-0xenial) xenial; urgency=high

  * Catikinized
  * Unexsistent include dir removed from package description

 -- Melonee Wise <mwise@willowgarage.com>  Fri, 19 Jul 2013 07:00:00 -0000

=== debian/control ===
Source: ros-kinetic-turtlebot-teleop
Section: misc
Priority: extra
Maintainer: Melonee Wise <mwise@willowgarage.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-joy, ros-kinetic-roscpp
Homepage: http://ros.org/wiki/turtlebot_teleop
Standards-Version: 3.9.2

Package: ros-kinetic-turtlebot-teleop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-geometry-msgs, ros-kinetic-joy, ros-kinetic-kobuki-safety-controller, ros-kinetic-roscpp, ros-kinetic-turtlebot-bringup, ros-kinetic-yocs-velocity-smoother
Description: Provides teleoperation using joysticks or keyboard.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-turtlebot-teleop//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
